/*******************************************************************************
 * ImageReflection generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class ImageReflection extends Actor
    native(Mesh)
    placeable
    hidecategories(Navigation)
    autoexpandcategories(ImageReflection,ImageBasedReflectionComponent);

var repnotify bool bEnabled;
var export editinline deprecated ImageReflectionComponent ReflectionComponent;
var() export editinline ImageBasedReflectionComponent ImageReflectionComponent;

replication
{
    // Pos:0x000
    if(Role == ROLE_Authority)
        bEnabled
}

event PostBeginPlay()
{
    super.PostBeginPlay();
    bEnabled = ImageReflectionComponent.bEnabled;
    //return;    
}

simulated event ReplicatedEvent(name VarName)
{
    // End:0x43
    if(VarName == 'bEnabled')
    {
        ImageReflectionComponent.SetEnabled(bEnabled);
    }
    // End:0x56
    else
    {
        super.ReplicatedEvent(VarName);
    }
    //return;    
}

simulated function OnToggle(SeqAct_Toggle Action)
{
    // End:0x5A
    if(Action.InputLinks[0].bHasImpulse)
    {
        ImageReflectionComponent.SetEnabled(true);
    }
    // End:0x12C
    else
    {
        // End:0xB4
        if(Action.InputLinks[1].bHasImpulse)
        {
            ImageReflectionComponent.SetEnabled(false);
        }
        // End:0x12C
        else
        {
            // End:0x12C
            if(Action.InputLinks[2].bHasImpulse)
            {
                ImageReflectionComponent.SetEnabled(!ImageReflectionComponent.bEnabled);
            }
        }
    }
    bEnabled = ImageReflectionComponent.bEnabled;
    ForceNetRelevant();
    SetForcedInitialReplicatedProperty(boolproperty'bEnabled', bEnabled == default.bEnabled);
    //return;    
}

defaultproperties
{
    bEnabled=true
    begin object name=ReflectionComponent0 class=ImageBasedReflectionComponent
        ReplacementPrimitive=none
    object end
    // Reference: ImageBasedReflectionComponent'Default__ImageReflection.ReflectionComponent0'
    ImageReflectionComponent=ReflectionComponent0
    begin object name=ReflectionComponent0 class=ImageBasedReflectionComponent
        ReplacementPrimitive=none
    object end
    // Reference: ImageBasedReflectionComponent'Default__ImageReflection.ReflectionComponent0'
    Components(0)=ReflectionComponent0
    bNoDelete=true
    bSkipActorPropertyReplication=true
    bOnlyDirtyReplication=true
    NetUpdateFrequency=10.0
}